Update deal view link

Updates an existing deal view link by its ID.

Typically used to change the associated deal view template while keeping the same shareable UUID.

Path Parameters

ParameterTypeRequiredDescription
idintegerYesDeal view link unique identifier

Body Fields

FieldTypeRequiredDescription
dealobjectNoDeal reference: {"id": dealId}
dealViewobjectNoDeal view template reference: {"id": dealViewId}

Response Fields

FieldTypeDescription
idintegerDeal view link unique identifier
uuidstringUnique public identifier (unchanged)
dealobjectAssociated deal
dealViewobjectAssociated deal view template
createdAtdatetimeCreation timestamp
updatedAtdatetimeLast update timestamp

Response

  • 200 OK: Deal view link successfully updated
  • 400 Bad Request: Invalid request body or validation error
  • 401 Unauthorized: Invalid or missing API key
  • 404 Not Found: Deal view link, deal, or deal view not found
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required
Body Params
dealView
object
Responses
200

Resource updated

400

Bad request

401

Unauthorized

404

Resource not found

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!